VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2 Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2:
[legend]

## Public Member Functions

| ImageSparseMemoryRequirementsInfo2 (Image image_=Image())
| ImageSparseMemoryRequirementsInfo2 (VkImageSparseMemoryRequirementsInfo2 const &rhs)
ImageSparseMemoryRequirementsInfo2 & | operator= (VkImageSparseMemoryRequirementsInfo2 const &rhs)
ImageSparseMemoryRequirementsInfo2 & | setPNext (const void *pNext_)
ImageSparseMemoryRequirementsInfo2 & | setImage (Image image_)
| operator VkImageSparseMemoryRequirementsInfo2 const & () const
| operator VkImageSparseMemoryRequirementsInfo2 & ()
bool | operator== (ImageSparseMemoryRequirementsInfo2 const &rhs) const
bool | operator!= (ImageSparseMemoryRequirementsInfo2 const &rhs) const

## Data Fields

const void * | pNext = nullptr
Image | image

## Private Attributes

StructureType | sType = StructureType::eImageSparseMemoryRequirementsInfo2

## Detailed Description

Definition at line 16009 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageSparseMemoryRequirementsInfo2() [1/2]

VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::ImageSparseMemoryRequirementsInfo2 | ( | Image | image_ = `Image()` | ) |

inline

Definition at line 16011 of file vulkan.hpp.

: image( image_ )
{
}

## ImageSparseMemoryRequirementsInfo2() [2/2]

VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::ImageSparseMemoryRequirementsInfo2 | ( | VkImageSparseMemoryRequirementsInfo2 const & | rhs | ) |

inline

Definition at line 16016 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageSparseMemoryRequirementsInfo2 ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageSparseMemoryRequirementsInfo2 &()

VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::operator VkImageSparseMemoryRequirementsInfo2 & | ( |  | ) |

inline

Definition at line 16043 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageSparseMemoryRequirementsInfo2*>(this);
}

## operator VkImageSparseMemoryRequirementsInfo2 const &()

VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::operator VkImageSparseMemoryRequirementsInfo2 const & | ( |  | ) | const

inline

Definition at line 16038 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageSparseMemoryRequirementsInfo2*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::operator!= | ( | ImageSparseMemoryRequirementsInfo2 const & | rhs | ) | const

inline

Definition at line 16055 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageSparseMemoryRequirementsInfo2& VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::operator= | ( | VkImageSparseMemoryRequirementsInfo2 const & | rhs | ) |

inline

Definition at line 16021 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageSparseMemoryRequirementsInfo2 ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::operator== | ( | ImageSparseMemoryRequirementsInfo2 const & | rhs | ) | const

inline

Definition at line 16048 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( image == rhs.image );
}

References image, pNext, and sType.

Referenced by operator!=().

## setImage()

ImageSparseMemoryRequirementsInfo2& VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::setImage | ( | Image | image_ | ) |

inline

Definition at line 16032 of file vulkan.hpp.

{
image = image_;
return *this;
}

## setPNext()

ImageSparseMemoryRequirementsInfo2& VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 16026 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## image

Image VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::image

Definition at line 16065 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::pNext = nullptr

Definition at line 16064 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::sType = StructureType::eImageSparseMemoryRequirementsInfo2

private

Definition at line 16061 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

image
GLeglImageOES image
Definition: SDL_opengl.h:2148
VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::operator==
bool operator==(ImageSparseMemoryRequirementsInfo2 const &rhs) const
Definition: vulkan.hpp:16048
VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::image
Image image
Definition: vulkan.hpp:16065
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::sType
StructureType sType
Definition: vulkan.hpp:16061
VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::ImageSparseMemoryRequirementsInfo2
ImageSparseMemoryRequirementsInfo2(Image image_=Image())
Definition: vulkan.hpp:16011
VkImageSparseMemoryRequirementsInfo2
Definition: vulkan_core.h:4132
VULKAN_HPP_NAMESPACE::ImageSparseMemoryRequirementsInfo2::pNext
const void * pNext
Definition: vulkan.hpp:16064